#include <avr\io.h>
#include "24c64.h"
#include "uart.h"
void menu()
{
	UARTWriteString("EEPROM WRITER READER \n\r",25);
	UARTWriteString("1: Reading\n\r",14);
	UARTWriteString("2: Writing\n\r",14);
}
int main()
{
	USARTInit(51);
	menu();
	char x;
	char ad[3];
	uint16_t adres=0;
	uint8_t inh=0;
	int data;
	while(1)
	{
	x=UART_GETCHAR();
	UARTWriteString(x,1);
	if (x=='1')
	{
		UARTWriteString("Enter Address:",14);
		ad[0]=UART_GETCHAR();
		x=ad[0];
		UARTWriteString(x,1);
		ad[1]=UART_GETCHAR();
		x=ad[1];
		UARTWriteString(x,1);
		ad[2]=UART_GETCHAR();
		x=ad[2];
		UARTWriteString(x,1);
		ad[3]=UART_GETCHAR();
		x=ad[3];
		UARTWriteString(x,1);
		UARTWriteString("\n\r",4);
		adres=atoi(ad[0])*1000+atoi(ad[1])*100+atoi(ad[2])*10+atoi(ad[3]);
		EEOpen();
		data=EEReadByte(adres);
		itoa(data,ad,10);
		UARTWriteString("Data:",5);
		UARTWriteString(ad,4);
		UARTWriteString("\n\r",4);
	}
	if (x=='2')
	{
		UARTWriteString("Enter Address:",14);
		ad[0]=UART_GETCHAR();
		x=ad[0];
		UARTWriteString(x,1);
		ad[1]=UART_GETCHAR();
		x=ad[1];
		UARTWriteString(x,1);
		ad[2]=UART_GETCHAR();
		x=ad[2];
		UARTWriteString(x,1);
		ad[3]=UART_GETCHAR();
		x=ad[3];
		UARTWriteString(x,1);
		UARTWriteString("\n\r",4);
		adres=atoi(ad[0])*1000+atoi(ad[1])*100+atoi(ad[2])*10+atoi(ad[3]);
		
		UARTWriteString("Enter Data:",14);
		ad[0]=0;
		ad[1]=0;
		ad[2]=UART_GETCHAR();
		x=ad[2];
		UARTWriteString(x,1);
		ad[3]=UART_GETCHAR();
		x=ad[3];
		UARTWriteString(x,1);
		UARTWriteString("\n\r",4);
		inh=atoi(ad[2])*16+atoi(ad[3]);		

		EEOpen();
		EEWriteByte(adres,inh);
		UARTWriteString("Written",7);
		UARTWriteString(ad,4);
		UARTWriteString("\n\r",4);
	}
		menu();
	}
}
